org.exoplatform.social.service.rest.api
Class ActivityStreamResources

java.lang.Object
  extended by org.exoplatform.social.service.rest.api.ActivityStreamResources
All Implemented Interfaces:
org.exoplatform.services.rest.resource.ResourceContainer

public class ActivityStreamResources
extends Object
implements org.exoplatform.services.rest.resource.ResourceContainer

Provides API to access the activity stream of an identity.

Since:
1.2.3

Constructor Summary
ActivityStreamResources()
           
 
Method Summary
 javax.ws.rs.core.Response getActivityConnectionsOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, String sinceId, String maxId, int numberOfComments, int numberOfLikes)
          Gets activities of connections of a specified identity based on an specific activity called "baseActivity".
 javax.ws.rs.core.Response getActivityConnectionsOfAuthenticatedByTimestamp(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, Long sinceTime, Long maxTime, int numberOfComments, int numberOfLikes)
          Gets activities of connections of a specified identity based on a specific time.
 javax.ws.rs.core.Response getActivityFeedOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, String sinceId, String maxId, int numberOfComments, int numberOfLikes)
          Gets the activity stream feed of the authenticated user identity based on an specific activity called "baseActivity".
 javax.ws.rs.core.Response getActivityFeedOfAuthenticatedByTimestamp(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, Long sinceTime, Long maxTime, int numberOfComments, int numberOfLikes)
          Gets the activity stream feed of the authenticated user identity based on a specific time.
 javax.ws.rs.core.Response getActivitySpacesOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, String sinceId, String maxId, int numberOfComments, int numberOfLikes)
          Gets space activities of spaces based on an specific activity called "baseActivity".
 javax.ws.rs.core.Response getActivitySpacesOfAuthenticatedByTimestamp(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String format, int limit, Long sinceTime, Long maxTime, int numberOfComments, int numberOfLikes)
          Gets space activities based on a specific time.
 javax.ws.rs.core.Response getActivityStreamByIdentityId(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String identityId, String format, int limit, String sinceId, String maxId, int numberOfComments, int numberOfLikes)
          Gets activities of a defined identity based on an specific activity called baseActivity.
 javax.ws.rs.core.Response getActivityStreamOfIdentityByTimestamp(javax.ws.rs.core.UriInfo uriInfo, String portalContainerName, String identityId, String format, int limit, Long sinceTime, Long maxTime, int numberOfComments, int numberOfLikes)
          Gets activities of a defined identity based on a specific time.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ActivityStreamResources

public ActivityStreamResources()
Method Detail

getActivityStreamByIdentityId

public javax.ws.rs.core.Response getActivityStreamByIdentityId(@Context
                                                               javax.ws.rs.core.UriInfo uriInfo,
                                                               String portalContainerName,
                                                               String identityId,
                                                               String format,
                                                               int limit,
                                                               String sinceId,
                                                               String maxId,
                                                               int numberOfComments,
                                                               int numberOfLikes)
Gets activities of a defined identity based on an specific activity called baseActivity.

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
identityId - The identity Id. There is one special *identityId*: "me" standing for the authenticated user who makes this request.
format - The format of the returned result, for example, JSON, or XML.
limit - The number of activities retrieved with the default value of 100. This input value must be less than or equal to its default value (100). The number of the returned results is actually less than or equal to the *limit* value. If it is not specified, the default value is 100.
sinceId - Returns the activities having the created timestamps greater than the specified *since\_Id*'s created timestamp.
maxId - Returns the activities having the created timestamps less than the specified *max\_id*'s created timestamp. Note that *since\_id* and *max\_id* must not be defined in one request, if they are, the *since\_id* query param is chosen.
numberOfComments - Specifies the number of latest comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the total number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use *activity/\:activityId/comments.format* instead.
numberOfLikes - Specifies the number of latest detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the total number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use *activity/\:activityId/likes.format* instead.
Returns:
the response

getActivityFeedOfAuthenticated

public javax.ws.rs.core.Response getActivityFeedOfAuthenticated(@Context
                                                                javax.ws.rs.core.UriInfo uriInfo,
                                                                String portalContainerName,
                                                                String format,
                                                                int limit,
                                                                String sinceId,
                                                                String maxId,
                                                                int numberOfComments,
                                                                int numberOfLikes)
Gets the activity stream feed of the authenticated user identity based on an specific activity called "baseActivity".

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
format - The format of the returned result, for example, JSON, or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value is 100.
sinceId - Returns the activities having the created timestamps greater than the specified *since\_id*'s created timestamp.
maxId - Returns the activities having the created timestamp less than the specified *max\_id*'s created timestamp. Note that *since\_id* and *max\_id* must not be defined in one request, if they are defined, the *since\_id* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use: "*activity/\:activityId/comments.format*" instead.
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use: "*activity/\:activityId/likes.format*" instead.
Returns:
the response

getActivitySpacesOfAuthenticated

public javax.ws.rs.core.Response getActivitySpacesOfAuthenticated(@Context
                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                  String portalContainerName,
                                                                  String format,
                                                                  int limit,
                                                                  String sinceId,
                                                                  String maxId,
                                                                  int numberOfComments,
                                                                  int numberOfLikes)
Gets space activities of spaces based on an specific activity called "baseActivity".

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
format - The format of the returned result, for example, JSON, or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value will be 100.
sinceId - Returns the activities having the created timestamps greater than the specified *since\_id*'s created timestamp.
maxId - Returns the activities having the created timestamp less than the specified *max\_id*'s created timestamp. Note that *since\_id* and *max\_id* must not be defined in one request, if they are defined, the *since\_id* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use "*activity/\:activityId/comments.format*" instead.
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use "*activity/\:activityId/likes.format*" instead.
Returns:
the response

getActivityConnectionsOfAuthenticated

public javax.ws.rs.core.Response getActivityConnectionsOfAuthenticated(@Context
                                                                       javax.ws.rs.core.UriInfo uriInfo,
                                                                       String portalContainerName,
                                                                       String format,
                                                                       int limit,
                                                                       String sinceId,
                                                                       String maxId,
                                                                       int numberOfComments,
                                                                       int numberOfLikes)
Gets activities of connections of a specified identity based on an specific activity called "baseActivity".

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
format - The response format type, for example: JSON, or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value will be 100.
sinceId - Returns the activities having the created timestamps greater than the specified *since\_id*'s created timestamp.
maxId - Returns the activities having the created timestamp less than the specified *max\_id*'s created timestamp. Note that *since\_id* and *max\_id* must not be defined in one request, if they are defined, the *since\_id* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended you use "*activity/\:activityId/comments.format*" instead.
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use: "*activity/\:activityId/likes.format*" instead.
Returns:
the response

getActivityStreamOfIdentityByTimestamp

public javax.ws.rs.core.Response getActivityStreamOfIdentityByTimestamp(@Context
                                                                        javax.ws.rs.core.UriInfo uriInfo,
                                                                        String portalContainerName,
                                                                        String identityId,
                                                                        String format,
                                                                        int limit,
                                                                        Long sinceTime,
                                                                        Long maxTime,
                                                                        int numberOfComments,
                                                                        int numberOfLikes)
Gets activities of a defined identity based on a specific time.

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
identityId - The identity Id. There is one special *identityId* called "me" standing for the authenticated user who makes this request.
format - The format of the returned result, for example, JSON or XML.
limit - The number of activities retrieved with the default value of 100. This input value must be less than or equal to its default value (100). The number of the returned results is actually less than or equal to the *limit* value. If it is not specified, the default value will be 100.
sinceTime - Returns the activities having the created timestamps greater than the specified *since\_time* timestamp.
maxTime - Returns the activities having the created timestamps less than the specified *max\_time*'s created timestamp. Note that *since\_time* and *max\_time* must not be defined in one request. If they are defined, the *since\_time* query param is chosen.
numberOfComments - Specifies the number of latest comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the total number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use *activity/\:activityId/comments.format* instead.
numberOfLikes - Specifies the number of the latest detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the total number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use *activity/\:activityId/likes.format* instead.
Returns:
the response

getActivityFeedOfAuthenticatedByTimestamp

public javax.ws.rs.core.Response getActivityFeedOfAuthenticatedByTimestamp(@Context
                                                                           javax.ws.rs.core.UriInfo uriInfo,
                                                                           String portalContainerName,
                                                                           String format,
                                                                           int limit,
                                                                           Long sinceTime,
                                                                           Long maxTime,
                                                                           int numberOfComments,
                                                                           int numberOfLikes)
Gets the activity stream feed of the authenticated user identity based on a specific time.

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
format - The format of the returned result, for example, JSON or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value will be 100.
sinceTime - Returns the activities having the created timestamps greater than the specified *since\_time* timestamp
maxTime - Returns the activities having the created timestamp less than the specified *max|_time* timestamp. Note that *since\_time* and *max\_time* must not be defined in one request. If they are defined, the *since\_time* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use "*activity/\:activityId/comments.format*" instead
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use "*activity/\:activityId/likes.format*" instead.
Returns:
the response

getActivitySpacesOfAuthenticatedByTimestamp

public javax.ws.rs.core.Response getActivitySpacesOfAuthenticatedByTimestamp(@Context
                                                                             javax.ws.rs.core.UriInfo uriInfo,
                                                                             String portalContainerName,
                                                                             String format,
                                                                             int limit,
                                                                             Long sinceTime,
                                                                             Long maxTime,
                                                                             int numberOfComments,
                                                                             int numberOfLikes)
Gets space activities based on a specific time.

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name.
format - The format of the returned result, for example, JSON or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value will be 100.
sinceTime - Returns the activities having the created timestamps greater than the specified *since\_time*'s created timestamp.
maxTime - Returns the activities having the created timestamp less than the specified *max\_time*'s created timestamp. Note that *since\_time* and *max\_time* must not be defined in one request, if they are defined, the *since\_time* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use "*activity/\:activityId/comments.format*" instead.
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_likes* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use "*activity/\:activityId/likes.format*" instead.
Returns:
the response

getActivityConnectionsOfAuthenticatedByTimestamp

public javax.ws.rs.core.Response getActivityConnectionsOfAuthenticatedByTimestamp(@Context
                                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                                  String portalContainerName,
                                                                                  String format,
                                                                                  int limit,
                                                                                  Long sinceTime,
                                                                                  Long maxTime,
                                                                                  int numberOfComments,
                                                                                  int numberOfLikes)
Gets activities of connections of a specified identity based on a specific time.

Parameters:
uriInfo - The URI information.
portalContainerName - The portal container name
format - The format of the returned result, for example, JSON or XML.
limit - Specifies the number of activities to retrieve. It must be less than or equal to 100. The value you pass as limit is a maximum number of activities to be returned. The actual number of activities you receive maybe less than limit. If it is not specified, the default value will be 100.
sinceTime - Returns the activities having the created timestamps greater than the specified *since\_time* timestamp.
maxTime - Returns the activities having the created timestamp less than the specified *max\_time* timestamp. Note that *since\_time* and *max\_time* must not be defined in one request, if they are defined, the *since_time* query param is chosen.
numberOfComments - Specifies the latest number of comments to be displayed along with each activity. By default, *number\_of\_comments=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of comments is less than the provided positive number, the number of actual comments must be returned. If the total number of comments is more than 100, it is recommended to use "*activity/\:activityId/comments.format*" instead.
numberOfLikes - Specifies the latest number of detailed likes to be returned along with this activity. By default, *number\_of\_likes=0*. If *number\_of\_comments* is a positive number, this number is considered as a limit number that must be equal or less than 100. If the actual number of likes is less than the provided positive number, the number of actual likes must be returned. If the total number of likes is more than 100, it is recommended to use "*activity/\:activityId/likes.format*" instead.
Returns:
the response


Copyright © 2003-2013 eXo Platform SAS. All Rights Reserved.